#ifndef PILE_INT_H_
#define PILE_INT_H_

#include "definitions.h"

struct ListInt {
    programPointer i;
    struct ListInt* next;
};

struct PileInt {
    struct ListInt* l;
    unsigned int height;
};

void initPileI( struct PileInt* p );
void pushPileI( struct PileInt* p, programPointer i );
int topPileI( struct PileInt* p );
void popPileI( struct PileInt* p );
void endPileI( struct PileInt* p );




#endif // PILE_H_
