#ifndef STATE_H_
#define STATE_H_

#include "pile.h"
#include "lexer.h"
#include "definitions.h"

enum MODE {EXECUTE, PRINT, IGNORE, WAIT_FOR_ENDIF, WAIT_FOR_UNTIL, WAIT_FOR_SEMICOLON};

struct State {
    struct Pile pile;
    struct Programm* prog;
    enum MODE mode;
    programPointer instructionPointer;
    struct FunctionsList* functions;
};

char* getCurrentToken(struct State* state);


#endif // STATE_H_
